<?xml version="1.0" encoding="UTF-8"?>
<!-- This file defines the allowed subscriptions for each device type.  -->
<allowedSubscriptions xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.allowedsubscriptions.dip.extendedconfig.plugins.unicos.cern.ch.research">
		
	<allowedSubscription default = "true">
		<deviceType>AnalogParameter</deviceType>
		<shortElementName>MPosR</shortElementName>
		<elementName>.FEDeviceManualRequests.MPosR</elementName>
	</allowedSubscription>		
		
	<!--<allowedSubscription default = "true">
		<deviceType>DigitalInput</deviceType>
		<shortElementName>PosSt</shortElementName>
		<elementName>.FEDeviceOutputs.PosSt</elementName>
		<publicationPrefix>dip</publicationPrefix>
		<tagPrefix></tagPrefix>
		<tagPostfix>_PosSt</tagPostfix>
		<buffer>1000</buffer>
	</allowedSubscription>
		
	<allowedSubscription default = "true">
		<deviceType>DigitalOutput</deviceType>
		<shortElementName>PosSt</shortElementName>
		<elementName>.FEDeviceOutputs.PosSt</elementName>
		<publicationPrefix>dip</publicationPrefix>
		<tagPrefix></tagPrefix>
		<tagPostfix>_PosSt</tagPostfix>
		<buffer>1000</buffer>
	</allowedSubscription>
			
	<allowedSubscription default = "true">
		<deviceType>AnalogInput</deviceType>
		<shortElementName>PosSt</shortElementName>
		<elementName>.FEDeviceOutputs.PosSt</elementName>
		<publicationPrefix>dip</publicationPrefix>
		<tagPrefix></tagPrefix>
		<tagPostfix>_PosSt</tagPostfix>
		<buffer>1000</buffer>
	</allowedSubscription>
		
	<allowedSubscription default = "true">
		<deviceType>ProcessControlObject</deviceType>
		<shortElementName>OpMoSt</shortElementName>
		<elementName>.FEDeviceOutputs.OpMoSt</elementName>
		<publicationPrefix>dip</publicationPrefix>
		<tagPrefix></tagPrefix>
		<tagPostfix>_OpMoSt</tagPostfix>
		<buffer>1000</buffer>
	</allowedSubscription>
			
	<allowedSubscription>
		<deviceType>ProcessControlObject</deviceType>
		<shortElementName>OnSt</shortElementName>
		<elementName>.FEDeviceOutputs.OnSt</elementName>
		<publicationPrefix>dip</publicationPrefix>
		<tagPrefix></tagPrefix>
		<tagPostfix>_OnSt</tagPostfix>
		<buffer>1000</buffer>
	</allowedSubscription>-->
	
</allowedSubscriptions>